### Step 2: Learn a reduced representation of both the protein components
#           and the density map
/opt/multifit/utils/run_anchor_points_detection.py  assembly.input 700
#Expected running time: 11:15.3

### Step 3: Fit each protein to the density map

# 3.1 Fit each protein to the density map
/opt/multifit/utils/run_protein_fitting.py assembly.input multifit.par
#Expected running time: 0:41.65

# 3.2 Check how well we did with the fitting
/opt/multifit/utils/fetch_best_sampled_transformations.py assembly.input

### Step 4: Efficient enumeration of all combinations using DOMINO

# 4.1 Score all terms
/opt/multifit/utils/run_all_scores.py assembly.input >scores.log
#Expected running time 7:56.32

# 4.2 Enumerate all configurations using DOMINO
/opt/multifit/utils/run_multifit.py  assembly.input assembly.jt assembly_configurations.output data/models/1tyq.fitted.pdb  > multifit.log
#Expected running time 15:12

### Step 5 Rescore using proteomics data
cd proteomics
/opt/multifit/utils/rescoring_by_proteomics.py ARP23.good.model.xml restraints.xml
/opt/multifit/utils/rescoring_by_proteomics.py ARP23.wrong.model.xml restraints.xml
